services:
    webkul_prestashop_connector.controller.rest.export_mapping:
        public: true
        class: Webkul\PrestashopConnectorBundle\Controller\Rest\ExportMappingController
        arguments:
            - '@pim_catalog.repository.category'
            - '@pim_internal_api_serializer'
            - '@pim_catalog.filter.chained'
            - '@webkul_prestashop_connector.repository.export_mapping'
            - '@doctrine.orm.entity_manager'
        calls:
            - [setContainer, ['@service_container']]
    
    webkul_prestashop_connector.controller.rest.configuration:
        public: true
        class: Webkul\PrestashopConnectorBundle\Controller\Rest\ConfigurationController
        arguments:
            - '@webkul_prestashop_connector.configuration.service'
        calls:
            - [setContainer, ['@service_container']]

    webkul_prestashop_connector.controller.rest.credentials:
        public: true
        class: Webkul\PrestashopConnectorBundle\Controller\Rest\CredentialsController
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.repository.credentials'
        calls:
            - [setContainer, ['@service_container']]